<?php

namespace EnumType;

/**
 * This class stands for TpegLoc01FramedPointLocationSubtypeEnum EnumType
 * @subpackage Enumerations
 */
class TpegLoc01FramedPointLocationSubtypeEnum
{
    /**
     * Constant for value 'framedPoint'
     * @return string 'framedPoint'
     */
    const VALUE_FRAMED_POINT = 'framedPoint';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_FRAMED_POINT
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_FRAMED_POINT,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
